Bug 48581 - gcc -ffunction-sections -fdata-sections doesn't work.
gcc -ffunction-sections -fdata-sections doesn't work.
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-10 21:06 EDT by hjl
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-04 16:08:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A patch (2.41 KB, patch)
2001-07-12 11:03 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2001-07-10 21:06:32 EDT
When -ffunction-sections -fdata-sections is used on

void _start() __asm__("_start");
void _start()

void __attribute__((section(".init")))

int foo() __asm__("foo");
int foo()
  static int x = 1;
  return x++;

The alpha gcc doesn't put a prefix, .data/.text,  in section names like the
x86 version.
After putting those .date/.text by hand, it works as expected. I think it
should be trivial
to fix.
Comment 1 hjl 2001-07-12 11:03:45 EDT
Created attachment 23392 [details]
A patch
Comment 2 Jakub Jelinek 2001-08-17 12:42:35 EDT
Should be fixed in gcc-2.96-96.
Comment 3 Bill Nottingham 2006-08-04 16:08:00 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.